Download it now!
Bug 105236 - Chart Axis Number Format not display correctly in XLS but ODS is working
Summary: Chart Axis Number Format not display correctly in XLS but ODS is working
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
3.5.0 release
Hardware: All All
: medium normal
Assignee: Markus Mohrhard
URL:
Whiteboard: target:6.3.0 target:6.2.0.1 target:6.1.5
Keywords: preBibisect, regression
Depends on:
Blocks: OOXML-Chart
  Show dependency treegraph
 
Reported: 2017-01-10 11:53 UTC by Peter Oh
Modified: 2018-11-29 13:04 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Sample Chart in XLS file format (7.50 KB, application/vnd.ms-excel)
2017-01-10 11:55 UTC, Peter Oh
Details
Display wrong number format in Calc (293.34 KB, image/jpeg)
2017-01-10 11:58 UTC, Peter Oh
Details
Display Correct Axis number format in MS Excel or Excel Viewer (294.08 KB, image/jpeg)
2017-01-10 12:00 UTC, Peter Oh
Details
Correcting Axis number format (302.45 KB, image/jpeg)
2017-01-10 12:01 UTC, Peter Oh
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Peter Oh 2017-01-10 11:53:59 UTC
Description:
Chart Axis Number format not using correct source format from data range.
After changed the number format to correct format and save it in ".XLS" file format but appear wrongly again when reopen it by LibreOfiice Calc. Using Microsoft Excel Viewer will display correct number format. Only 

Steps to Reproduce:
1. Edit Chart
2. Click on X Axis and right click to select "Format Axis" 
3. Under X Axis "Numbers" tab and deselect "Source format" 
4. Change the format same as source number format of Data Range 
5. Save it as Excel file format

Actual Results:  
When close the file and reopen it will display wrong format again

Expected Results:
When using Microsoft Office Excel / Excel Viewer will display correct axis number format


Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (Windows NT 5.1; rv:50.0) Gecko/20100101 Firefox/50.0
Comment 1 Peter Oh 2017-01-10 11:55:53 UTC
Created attachment 130299 [details]
Sample Chart in XLS file format
Comment 2 Peter Oh 2017-01-10 11:58:41 UTC
Created attachment 130300 [details]
Display wrong number format in Calc
Comment 3 Peter Oh 2017-01-10 12:00:01 UTC
Created attachment 130301 [details]
Display Correct Axis number format in MS Excel or Excel Viewer
Comment 4 Peter Oh 2017-01-10 12:01:10 UTC
Created attachment 130302 [details]
Correcting Axis number format
Comment 5 Xisco Faulí 2017-01-11 21:25:11 UTC
Confirmed in

- Version: 5.4.0.0.alpha0+
Build ID: 9a30cb2161506e003f14592d83075ab9d30516c1
CPU Threads: 4; OS Version: Linux 4.8; UI Render: default; VCL: gtk2; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group

- Version: 4.3.0.0.alpha1+
Build ID: c15927f20d4727c3b8de68497b6949e72f9e6e9e

- Version 4.1.0.0.alpha0+ (Build ID: efca6f15609322f62a35619619a6d5fe5c9bd5a)

but not in

LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4
Comment 6 Xisco Faulí 2017-01-11 21:48:26 UTC
Also reproduced in

LibreOffice 3.5.0 
Build ID: d6cde02
Comment 7 QA Administrators 2018-06-15 02:46:31 UTC Comment hidden (obsolete)
Comment 8 Markus Mohrhard 2018-11-28 23:09:01 UTC
This was a tough one. Actually we fixed the issue that was the initial problem quite some time ago. However a second issue crept in that resulted in this specific configuration to still fail.
For quite some time the source number format flag was imported again correctly, however, we took the source number format from the string cells. As a result this still picked up the wrong number format.
Comment 9 Commit Notification 2018-11-29 02:32:00 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/fb04e7180cdf656dbbd3daa9c81615d9478229e0%5E%21

tdf#105236, only take number format from numeric cells

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2018-11-29 02:33:22 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/92c25a6163dca79987fd8fe7c3efd5527edc29b5%5E%21

add test for tdf#105236

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2018-11-29 06:41:02 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/5908f1ea0a19482a999c2e00aeaae05eabc1e8e6%5E%21

tdf#105236, only take number format from numeric cells

It will be available in 6.2.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Commit Notification 2018-11-29 13:04:16 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

https://git.libreoffice.org/core/+/811d39b4ed3487ac6eb81d04de70f9845fec32db%5E%21

tdf#105236, only take number format from numeric cells

It will be available in 6.1.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.